package com.gic.store.dao.mapper;

import com.gic.store.entity.TabGicEnterpriseVersion;

public interface EnterpriseVersionMapper {
    /**
     * 根据主键删除
     *
     * @param enterpriseServiceId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer enterpriseServiceId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabGicEnterpriseVersion record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabGicEnterpriseVersion record);

    /**
     * 根据主键查询
     *
     * @param enterpriseServiceId 主键
     * @return 实体对象
     */
    TabGicEnterpriseVersion selectByPrimaryKey(Integer enterpriseServiceId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabGicEnterpriseVersion record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabGicEnterpriseVersion record);
}